package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkTradeDiscountBillGetRequest struct {
	/*
	   请求参数     */
	Param0 *domain.AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest `json:"param0" required:"true" `
}

func (s *AlibabaWdkTradeDiscountBillGetRequest) SetParam0(v domain.AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest) *AlibabaWdkTradeDiscountBillGetRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkTradeDiscountBillGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkTradeDiscountBillGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
